> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get earliest wallet transactions

> Lists the earliest transactions involving an address.



## OpenAPI

````yaml get /somnia/v1/earliest/{walletAddress}/transactions
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /somnia/v1/earliest/{walletAddress}/transactions:
    get:
      tags:
        - Transactions
      summary: Get earliest wallet transactions
      description: Lists the earliest transactions involving an address.
      operationId: getEarliestWalletTransactions
      parameters:
        - description: A wallet address.
          in: path
          name: walletAddress
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transaction'
          description: OK
components:
  schemas:
    Transaction:
      properties:
        block_hash:
          type: string
        block_number:
          format: int64
          type: integer
        block_timestamp:
          format: date-time
          type: string
        contract_address:
          nullable: true
          type: string
        cumulative_gas_used:
          type: string
        effective_gas_price:
          type: string
        from_address:
          type: string
        gas:
          type: string
        gas_price:
          type: string
        gas_used:
          type: string
        input:
          type: string
        l1_fee:
          nullable: true
          type: string
        l1_fee_scalar:
          nullable: true
          type: string
        l1_gas_price:
          nullable: true
          type: string
        l1_gas_used:
          nullable: true
          type: string
        max_fee_per_gas:
          type: string
        max_priority_fee_per_gas:
          type: string
        nonce:
          type: string
        status:
          type: integer
        to_address:
          type: string
        transaction_hash:
          type: string
        transaction_index:
          type: integer
        transaction_type:
          type: integer
        value:
          type: string
      required:
        - transaction_hash
        - transaction_index
        - nonce
        - block_hash
        - block_number
        - block_timestamp
        - from_address
        - to_address
        - value
        - gas
        - gas_price
        - max_fee_per_gas
        - max_priority_fee_per_gas
        - input
        - transaction_type
      type: object

````